# -*- coding: utf-8 -*-
from odoo import models, fields

class ResConfigSettings(models.TransientModel):
    _inherit = 'res.config.settings'

    is_reservation_theme_active = fields.Boolean(
        related='website_id.is_reservation_theme_active',
        readonly=False,
        string='Activate Custom Reservation Theme'
    )
    reservation_primary_color = fields.Char(
        related='website_id.reservation_primary_color',
        readonly=False,
        string='Reservation Primary Color'
    )
    reservation_secondary_color = fields.Char(
        related='website_id.reservation_secondary_color',
        readonly=False,
        string='Reservation Secondary Color'
    )
